Name: libdaemon
Version: 0.3
Release: alt1

Summary: Lightweight C library which eases the writing of UNIX daemons
License: GPL
Group: System/Configuration/Networking

Url: http://www.stud.uni-hamburg.de/users/lennart/projects/%name
Source: %url/%name-%version.tar.gz

# Automatically added by buildreq on Wed Sep 10 2003
BuildRequires: doxygen gcc-c++ glibc-devel-static libssl lynx

%description
libdaemon is a leightweight C library which eases the writing of UNIX daemons.
It consists of the following parts:

 * A wrapper around fork() which does the correct daemonization
   procedure of a process
 * A wrapper around syslog() for simpler and compatible log output to
   Syslog or STDERR
 * An API for writing PID files
 * An API for serializing UNIX signals into a pipe for usage with
   select() or poll()

Routines like these are included in most of the daemon software available. It
is not that simple to get it done right and code duplication cannot be a goal.

%package devel
Summary: Development part of libdaemon
License: GPL
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static libraries from libdaemon
License: GPL
Group: Development/C
Requires: %name-devel = %version-%release

%description devel
This is the development part (header files and documentation) for 
%name.

%description devel-static
This package contains static library to build statically linked %name
applications.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall
%__install -d %buildroot%_man3dir
%__cp -a doc/reference/man/man3/* %buildroot%_man3dir/

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/*.so.*

%files devel
%doc doc/README doc/reference/html/
%_man3dir/*
%_libdir/*.so
%_libdir/*.la
%_includedir/*/*

%files devel-static
%_libdir/*.a

%changelog
* Sun Oct 26 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt1
- 0.3

* Wed Sep 10 2003 Michael Shigorin <mike@altlinux.ru> 0.2-alt1
- built for ALT Linux (ifplugd dependency)

